Skip to main content
GET
Get Export

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

exportId
string
required

Unique export object ID of previously created export. This object can be a: voucher, redemption, publication, customer, order, points_expiration, or voucher_transactions.

Example:

"exp_2bYLdY2lQ2886wmYIHyeBWUZ"

Response

Returns the export object if a valid identifier was provided in the path.

Response body schema for GET v1/exports/{exportId}.

id
string
required

Unique export ID.

object
enum<string>
default:export
required

The type of object being represented. This object stores information about the export.

Available options:
export
created_at
string<date-time>
required

Timestamp representing the date and time when the export was scheduled in ISO 8601 format.

status
enum<string>
required

Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.

Available options:
SCHEDULED,
IN_PROGRESS,
DONE,
ERROR
result
object | null
required

Contains the URL of the CSV file.

user_id
string | null
required

Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.

exported_object
enum<string>
default:voucher
required

The type of object to be exported.

Available options:
voucher
channel
string

The channel through which the export was triggered.

parameters
object
Last modified on February 3, 2026